Standing FFe for icehouse

Bug #1299055 reported by Chuck Short on 2014-03-28
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ceilometer (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
cinder (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
glance (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
heat (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
horizon (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
keystone (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
neutron (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
nova (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
openstack-trove (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
swift (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned

Bug Description

Nova:

https://launchpad.net/nova/+milestone/icehouse-rc1

* 6 Additional Features Targeted
* 1 "Critical" Bug Report
* 50 "High" Bug Reports

Heat:

https://launchpad.net/heat/+milestone/icehouse-rc1

* 4 Additional Features Targeted
* 25 "High" Bug Reports

Glance:

https://launchpad.net/glance/+milestone/icehouse-rc1

* 1 Additional Feature Targeted
* 1 "Critical" Bug Reports

Cinder:

https://launchpad.net/cinder/+milestone/icehouse-rc1

* 3 Additional Features Targeted
* 5 "Critical" Bug Reports

Trove:

https://launchpad.net/trove/+milestone/icehouse-rc1

* 5 Additional Features Targeted
* 4 "Critical" Bug Reports

Ceilometer:

https://launchpad.net/trove/+milestone/icehouse-rc1

* 2 Additional Features Targeted
* 2 "Critical" Bug Reports

Horizon:

https://launchpad.net/horizon/+milestone/icehouse-rc1

* 4 Additional Features Targeted
* 11 "High" Bug Reports

Neutron:

https://launchpad.net/neutron/+milestone/icehouse-rc1

* 9 Additional Features
* 8 "Critical" Bug Report

Related branches

Steve Langasek (vorlon) wrote :

Per discussion on IRC, I'm approving a standing FFe for these components of openstack icehouse (ceilometer, cinder, glance, heat, horizon, neutron, nova, trove) subject to the requirement that the packages continue to be tested via the openstack-ci lab prior to each upload. (This should not be an onerous requirement, as I understand this is already being done; just want it to be spelled out clearly.)

summary: - Icehouse tracker for rc1
+ Standing FFe for icehouse
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package heat - 2014.1~rc1-0ubuntu1

---------------
heat (2014.1~rc1-0ubuntu1) trusty; urgency=medium

  * New upstream release (LP: #1299055)
  * debian/patches/use-oslo.sphinx-namespace.patch: Dropped no longer
    needed.
  * debian/control: Rename python-oslo.sphinx to python-oslosphinx.
 -- Chuck Short <email address hidden> Mon, 31 Mar 2014 21:36:06 -0400

Changed in heat (Ubuntu Trusty):
status: New → Fix Released
James Page (james-page) on 2014-04-01
Changed in heat (Ubuntu Trusty):
status: Fix Released → New
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nova - 1:2014.1~rc1-0ubuntu1

---------------
nova (1:2014.1~rc1-0ubuntu1) trusty; urgency=medium

  [ Chuck Short ]
  * debian/control: Use python-oslosphinx instead of python-oslo.sphinx.
  * debian/patches/use-oslo.sphinx-namespace.patch: Dropped no longer needed
    because of the python-oslo.sphinx rename.
  * debian/patches/arm-console-patch.patch: Fix typo in patch to allow
    booting ARM vm.
  * debian/nova-common.install: Remove nova-rpc-zmq-receiver, it has been
    removed upstream.

  [ Corey Bryant ]
  * New upstream release. (LP: #1299055)
 -- Corey Bryant <email address hidden> Mon, 31 Mar 2014 16:21:50 -0400

Changed in nova (Ubuntu Trusty):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package openstack-trove - 2014.1~rc1-0ubuntu1

---------------
openstack-trove (2014.1~rc1-0ubuntu1) trusty; urgency=medium

  * New upstream release. (LP: #1299055)
 -- Chuck Short <email address hidden> Wed, 02 Apr 2014 08:55:36 -0400

Changed in openstack-trove (Ubuntu Trusty):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package glance - 1:2014.1~rc1-0ubuntu1

---------------
glance (1:2014.1~rc1-0ubuntu1) trusty; urgency=medium

  [ James Page ]
  * d/glance-common.postinst: Don't recursively set permissions on
    /var/lib/glance as it might not be a local filesystem (LP: #1214947).

  [ Chuck Short ]
  * debian/control: Use python-oslosphinx.
  * debian/patches/use-oslo.sphinx.patch: Dropped no longer needed.

  [ Corey Bryant ]
  * New upstream release (LP: #1299055).
 -- Corey Bryant <email address hidden> Tue, 01 Apr 2014 16:57:09 -0400

Changed in glance (Ubuntu Trusty):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package swift - 1.13.1~rc1-0ubuntu2

---------------
swift (1.13.1~rc1-0ubuntu2) trusty; urgency=medium

  * d/p/ring-perms.patch: Ensure that generated rings can be read by
    the swift user, fixing autopkgtest failure (LP: #1302700).
 -- James Page <email address hidden> Sun, 06 Apr 2014 21:10:51 +0100

Changed in swift (Ubuntu Trusty):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ceilometer - 2014.1~rc2-0ubuntu1

---------------
ceilometer (2014.1~rc2-0ubuntu1) trusty; urgency=medium

  [ James Page ]
  * d/ceilometer-common.postinst: Only run db sync process if default sqlite
    connection is configured in /etc/ceilometer/ceilometer.conf (LP: #1182964).

  [ Chuck Short ]
  * New upstream release (LP: #1299055).
 -- Chuck Short <email address hidden> Tue, 08 Apr 2014 15:41:50 -0400

Changed in ceilometer (Ubuntu Trusty):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package heat - 2014.1~rc2-0ubuntu1

---------------
heat (2014.1~rc2-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate (LP: #1299055).
  * debian/patches/fix-requirements.patch: Don't install
    python-qpid since we use python-kombu by default (LP: #1296912).
 -- Chuck Short <email address hidden> Thu, 10 Apr 2014 08:51:46 -0400

Changed in heat (Ubuntu Trusty):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cinder - 1:2014.1-0ubuntu1

---------------
cinder (1:2014.1-0ubuntu1) trusty; urgency=medium

  * New upstream release (LP: #1299055).
 -- Corey Bryant <email address hidden> Wed, 16 Apr 2014 13:06:37 -0400

Changed in cinder (Ubuntu Trusty):
status: New → Fix Released
James Page (james-page) on 2014-06-19
Changed in neutron (Ubuntu):
status: New → Fix Released
Changed in neutron (Ubuntu Trusty):
status: New → Fix Released
Changed in keystone (Ubuntu Trusty):
status: New → Fix Released
Changed in keystone (Ubuntu):
status: New → Fix Released
James Page (james-page) on 2014-06-19
Changed in horizon (Ubuntu):
status: New → Fix Released
Changed in horizon (Ubuntu Trusty):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers